import Index from 'pages/Index'
import System from 'pages/System'
import Station from 'pages/Station'
import Error404 from 'pages/Error404'

const routes = [
  {
    path: '/index',
    component: Index,
    name: 'index',
    meta: {
      label: 'Accueil'
    }
  },
  {
    path: '/system',
    component: System,
    name: 'system',
    meta: {
      label: 'Système'
    }
  },
  {
    path: '/station/:stationProps',
    component: Station,
    name: 'station',
    props: true
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '*',
    component: Error404
  }
]

export default routes
